% Generated by roxygen2 (4.0.2): do not edit by hand
\name{CIAdata}
\alias{CIAdata}
\title{Return a dataset based on the CIA World Factbook}
\usage{
CIAdata(name = NULL)
}
\arguments{
\item{name}{An optional parameter specifying the name of the desired dataset}
}
\description{
This function can be used in two different ways. Without an argument, it returns a reference
table that includes information about all the CIA World Factbook tables that are available
through this function. Note the  \code{Name} column that indicates a unique name for each
available dataset. If this name is passed as an argument to the function, the function
will return the corresponding dataset.
}
\examples{
head(CIAdata())
gdpData <- CIAdata("pop")
nrow(gdpData)

mergedData <- merge(CIAdata("pop"), CIAdata("fert"), by="country")
head(mergedData)
}

